Index index by Group index by Distribution index by Vendor index by creation date index by Name Mirrors Help Search

mcrypt-2.6.8-19.1.2 RPM for i586

From OpenSuSE 12.1 for i586

Name: mcrypt Distribution: openSUSE 12.1
Version: 2.6.8 Vendor: openSUSE
Release: 19.1.2 Build date: Sat Oct 29 08:26:51 2011
Group: Productivity/Security Build host: build26
Size: 196163 Source RPM: mcrypt-2.6.8-19.1.2.src.rpm
Summary: Replacement for the crypt Command
A replacement for the old unix crypt(1) command. Mcrypt uses the
following encryption (block) algorithms: BLOWFISH, DES, TripleDES,
3-WAY, SAFER-SK64, SAFER-SK128, CAST-128, RC2 TEA (extended), TWOFISH,
RC6, IDEA, and GOST. The Unix crypt algorithm is also included to allow
compatibility with the crypt(1) command. CBC, ECB, OFB, and CFB modes
of encryption are supported.






* Tue Mar 22 2011
  - fix build, the autoreconf is needed again after libtool update
* Mon Jan 03 2011
  - Remove mcrypt-2.6.8-gettext.patch, it's not needed. Do not call
    autoreconf, it just breaks the build.
* Sun Oct 31 2010
  - Use %_smp_mflags
* Thu Aug 06 2009
  - mcrypt-2.6.8-missing-fclose.patch (bnc#527721)
* Fri Apr 24 2009
  - added mcrypt-native-by-default.patch (partially resolve bnc#385951)
    - openpgp format handling is seriously broken, so make native format default
      like in Fedora and Debian
  - added mcrypt-manpage-fix.patch
    - fix typos in manpage
* Mon Jan 19 2009
  - updated to 2.6.8
    * Updated non valid C code to comply with standard ANSI C
      Affects openpgp code
  - removed obsoleted overflow.patch
* Wed Jan 16 2008
  - updated to 2.6.7
    * corrected bugs related to freeing mhash (const) data
    * corrected bugs in the win32 random gatherer
* Wed Jul 18 2007
  - updated to 2.6.6
    * corrections in getpass()
    * updates in OpenPGP code
    * made the OpenPGP file format the default
  - fixed uninitialized variable in rfc2440.c (uninitialized.patch)
* Fri May 04 2007
  - updated to 2.6.5 (maintenance update)
  - cleaned spec file
* Mon Apr 02 2007
  - add zlib-devel BuildRequires



Generated by rpm2html 1.8.1

Fabrice Bellet, Tue Nov 10 04:48:26 2015